echo "Downloading QAKIT"
rm -rf qakit
bzr branch lp:qakit qakit
export PYTHONPATH=qakit

rm -rf lifeboat
git clone $LIFEBOAT_BRANCH lifeboat
export ANDROID_SERIAL=$(./lifeboat/get-device-info serial $NODE_NAME)

echo "Setting up grafana"
export CARBON_SERVER=10.25.236.71
export CARBON_PORT=2003

echo "Setting up mongo"
export MONGO_HOST=10.25.236.10
export MONGO_PORT=27017

export REVISION=$(adb -s $ANDROID_SERIAL shell system-image-cli -i | grep "current build number" | cut -d ':' -f 2 | tr -d ' ')

echo "Push to grafana"
export OUTPUTDIR="$WORKSPACE/results"
python3 qakit/qakit/prodenv/tests/sync_test_results.py -p $OUTPUTDIR/artifacts/test-results.pyunit -d {device} -c $CHANNEL -b $REVISION -s {setid}
